23 lines
979 B
Diff
23 lines
979 B
Diff
--- a/autoconf.sh
|
|
+++ b/autoconf.sh
|
|
@@ -115,13 +115,14 @@
|
|
# Use the frozen version of Autoconf if available.
|
|
r= f=
|
|
# Some non-GNU m4's don't reject the --help option, so give them /dev/null.
|
|
-case `$M4 --help < /dev/null 2>&1` in
|
|
-*reload-state*) test -r $AC_MACRODIR/autoconf.m4f && { r=--reload f=f; } ;;
|
|
-*traditional*) ;;
|
|
-*) echo Autoconf requires GNU m4 1.1 or later >&2; rm -f $tmpin; exit 1 ;;
|
|
-esac
|
|
+# case `$M4 --help < /dev/null 2>&1` in
|
|
+# *reload-state*) test -r $AC_MACRODIR/autoconf.m4f && { r=--reload f=f; } ;;
|
|
+# *traditional*) ;;
|
|
+# *) echo Autoconf requires GNU m4 1.1 or later >&2; rm -f $tmpin; exit 1 ;;
|
|
+# esac
|
|
|
|
-$M4 -I$AC_MACRODIR $use_localdir $r autoconf.m4$f $infile > $tmpout ||
|
|
+# $M4 -I$AC_MACRODIR $use_localdir $r autoconf.m4$f $infile > $tmpout ||
|
|
+$M4 -g -D__GNU__ -I$AC_MACRODIR $use_localdir autoconf.m4 $infile -> $tmpout ||
|
|
{ rm -f $tmpin $tmpout; exit 2; }
|
|
|
|
# You could add your own prefixes to pattern if you wanted to check for
|